﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Net.Http.Headers;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FlexGridFilterTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		ObservableCollection<Data> list = new ObservableCollection<Data>();
		public MainWindow()
		{
			InitializeComponent();
			
			var rnd = new Random();
			for(int i = 0; i < 10; i++) 
			{
				list.Add(new Data() { Id = i, Name ="Data "+i, CountryId =  rnd.Next(0,6)});
			}
			grid.ItemsSource = list;
		}
	}

	public class Data
	{
        public int Id { get; set; }
        public string  Name { get; set; }
        public int CountryId { get; set; }
    }

	public class Country
	{
        public int Id { get; set; }
        public  string Name { get; set; }
    }

	public class CountryConverter : IValueConverter
	{
		ObservableCollection<Country> countries = new ObservableCollection<Country>();
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			countries.Add(new Country() { Id = 1, Name = "USA" });
			countries.Add(new Country() { Id = 2, Name = "Japan" });
			countries.Add(new Country() { Id = 3, Name = "India" });
			countries.Add(new Country() { Id = 4, Name = "Germany" });
			countries.Add(new Country() { Id = 5, Name = "China" });
			countries.Add(new Country() { Id = 6, Name = "Brazil" });
			return countries.ElementAt((int)value).Name;
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
